Skip to content
dartpilot
Esc
↑↓navigate↵open⌘Jpreview

Get a lobby

Returns a lobby’s seated players, config and board. Public lobbies are visible to any user key; private ones only to the host, its members and the host’s friends.

GET/lobbies/{id}
Authorization
x-api-keyAPI key · headerrequired

A user (dp_) or organization (dp_org_) API key with read scopes.

Path parameters
idstringrequired

The entity id.

Responses
200

The lobby.

idstringrequired
gameTypestring | nullrequired
visibilitystringrequired
Allowed:privatepublic
playerCountintegerrequired
min 0 · max 9007199254740991
hostLobbyHost | nullrequired
Show properties
Any of:
LobbyHost
displayNamestring | nullrequired
imagestring | nullrequired
null
null
boardLobbyBoard | nullrequired
Show properties
Any of:
LobbyBoard
idstringrequired
namestringrequired
null
null
createdAtstringrequired
updatedAtstringrequired
configobjectrequired
playersLobbyPlayer[]required
Show properties
Array of LobbyPlayer
userIdstring | nullrequired
namestringrequired
imagestring | nullrequired
isHostbooleanrequired
isAibooleanrequired
boardIdstring | nullrequired
400

Invalid request.

messagestringrequired
401

Missing or invalid API key.

messagestringrequired
403

The API key is missing a required scope or is the wrong type for this endpoint.

messagestringrequired
404

Entity not found.

messagestringrequired
429

Rate limit exceeded. See the Retry-After header.

messagestringrequired
500

Internal server error.

messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.dartpilot.app/v1/lobbies/string' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "gameType": "string",
  "visibility": "private",
  "playerCount": 0,
  "host": {
    "displayName": "string",
    "image": "string"
  },
  "board": {
    "id": "string",
    "name": "string"
  },
  "createdAt": "string",
  "updatedAt": "string",
  "config": {
    "property1": null,
    "property2": null
  },
  "players": [
    {
      "userId": "string",
      "name": "string",
      "image": "string",
      "isHost": true,
      "isAi": true,
      "boardId": "string"
    }
  ]
}

Was this page helpful?